{% extends 'dialog.html.twig' %}

{% block dialog_title %}
    <h1 class="mb-5">{{ 'Two-Factor Verification'|trans }}</h1>
{% endblock %}

{% block dialog_body %}
    {% if authenticationError %}
        <div class="text-danger text-center mb-5">
            {{ authenticationError|trans(authenticationErrorData, 'SchebTwoFactorBundle') }}
        </div>
    {% endif %}

    {% if availableTwoFactorProviders|length > 1 %}
        <p>{{ 'choose_provider'|trans({}, 'SchebTwoFactorBundle') }}:
            {% for provider in availableTwoFactorProviders %}
                <a href="{{ path("2fa_login", {"preferProvider": provider}) }}">{{ provider }}</a>
            {% endfor %}
        </p>
    {% endif %}

    <form class="form" action="{{ checkPathUrl ? checkPathUrl: path(checkPathRoute) }}" method="post">
        <div class="form-floating mb-4">
            <input
                id="_auth_code"
                type="text"
                class="form-control form-control-lg"
                name="{{ authCodeParameterName }}"
                required
                autofocus
                placeholder=""
                autocomplete="one-time-code"
                pattern="[0-9\-]*"
                maxlength="24"
            />
            <label for="_auth_code" class="form-check-label">
                {{ 'auth_code'|trans({}, 'SchebTwoFactorBundle') }}
            </label>
        </div>

        {% if displayTrustedOption %}
            <div class="mb-4">
                <input
                    id="_trusted"
                    type="checkbox"
                    class="form-check-input"
                    name="{{ trustedParameterName }}"
                />
                <label for="_trusted" class="form-check-label">
                    {{ 'trusted'|trans({}, 'SchebTwoFactorBundle') }}
                </label>
            </div>
        {% endif %}

        {% if isCsrfProtectionEnabled %}
            <input type="hidden" name="{{ csrfParameterName }}" value="{{ csrf_token(csrfTokenId) }}">
        {% endif %}

        <button class="btn btn-primary btn-lg" type="submit">{{ 'Submit'|trans }}</button>
        <a href="{{ logoutPath }}" class="btn btn-danger btn-lg">{{ 'Log out'|trans }}</a>
    </form>
{% endblock %}

